/*
 * Copyright 2026 CodingMarkus
 *
 * SPDX-License-Identifier: MIT
 */

header {
	display: contents;
}

header .site-icon {
	float: right;
	margin: -0.5rem 0 0.75rem 1.5rem;
}

header .site-icon img {
	display: block;
	width: 5rem;
	height: 5rem;
}

header:has(.site-icon) + main > h1:first-child {
	margin-right: 6.5rem;
}

header nav {
	margin-bottom: 1.5rem;
	font-weight: 600;
}

header .site-icon + nav {
	margin-right: 6.5rem;
}

header nav a {
	color: #455bd2;
	text-decoration: none;
}

header nav a::before {
	content: "← ";
}

header nav a:hover {
	color: #293baf;
	text-decoration: underline;
}

@media (prefers-color-scheme: dark) {
	header nav a {
		color: #8d9fff;
	}

	header nav a:hover {
		color: #c4ccff;
	}
}

@media (prefers-contrast: more) {
	header nav a {
		color: #0000ee;
		text-decoration: underline;
	}
}

@media (prefers-contrast: more) and (prefers-color-scheme: dark) {
	header nav a {
		color: #e0e0e0;
	}
}
